package com.ynfy.buss.exam.question.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

@Data
public class QuestionConditionDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 题库
     */
    private String repositoryId;

    /**
     * 题型
     */
    private Integer questionType;

    /**
     * 级别
     */
    private Integer level;


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        QuestionConditionDTO dto = (QuestionConditionDTO) o;
        return Objects.equals(repositoryId, dto.repositoryId) && Objects.equals(questionType, dto.questionType) && Objects.equals(level, dto.level);
    }

    @Override
    public int hashCode() {
        return Objects.hash(repositoryId, questionType, level);
    }
}


